/*
	Example of Action definitions (command design pattern)
*/



import java.awt.*;
import javax.swing.*;

import java.awt.event.*;		/***/


public class jToolBarTest3 extends JFrame {

    JToolBar toolbar;

    Action actionButton1;		/***/
    Action actionButton2;		/***/

    JButton button1;

    int c=0;

    public jToolBarTest3() {
        
        Container container = getContentPane();
        
        toolbar = new JToolBar();



	actionButton1 = new AbstractAction() {	                          /***/
		public void actionPerformed( ActionEvent e ) {
			System.out.println("File");
			if((c++)%2 == 0)
				actionButton2.setEnabled(false);
			else
				actionButton2.setEnabled(true);
		}
	};
	actionButton1.putValue(Action.NAME, "File");
	actionButton1.putValue(Action.SHORT_DESCRIPTION, "File option");



	actionButton2 = new AbstractAction() {	                          /***/
		public void actionPerformed( ActionEvent e ) {
			System.out.println("Exit");
		}
	};
	actionButton2.putValue(Action.NAME, "Exit");
	actionButton2.putValue(Action.SHORT_DESCRIPTION, "Exit option");


	button1 = new JButton();			/***/
	button1.setAction(actionButton1);

	toolbar.add(button1);
	toolbar.add(actionButton2);


        container.add(toolbar);

    }
    


    public static void main (String args[]) {
        
        jToolBarTest3 app = new jToolBarTest3();
        app.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        app.setSize(200,200);
        app.setVisible(true);
      
        
    }

}
