/* JToolBar example implementing button listeners */


import java.awt.*;
import javax.swing.*;

import java.awt.event.*;		/***/


public class jToolBarTest2 extends JFrame implements ActionListener {

    JToolBar toolbar;
    JButton button1;
    JButton button2;

    public jToolBarTest2() {
        
        Container container = getContentPane();
        
        toolbar = new JToolBar();

	button1 = new JButton("File");
	button1.setToolTipText("File option");
	button2 = new JButton("Exit");
	button2.setToolTipText("Exit option");

	button1.addActionListener(this);		/***/
	button2.addActionListener(this);		/***/

	toolbar.add(button1);
	toolbar.add(button2);

        container.add(toolbar);

    }
    

    public void actionPerformed(ActionEvent e) {	/***/

	if(e.getSource() == button1) {
		System.out.println("File");
	}
	if(e.getSource() == button2) {
		System.out.println("Exit");
	}

    }


    public static void main (String args[]) {
        
        jToolBarTest2 app = new jToolBarTest2();
        app.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        app.setSize(200,200);
        app.setVisible(true);
      
        
    }

}
